package com.artfess.xqxt.meeting.utils;

import com.artfess.sysConfig.persistence.param.DictModel;

import java.util.List;

public class BizUtil {

//    系统访问域名（测试环境）
//    public static String SYSTEM_URL = "www.xqmeeting.xyz:8897";
////    企业微信组织ID（测试环境）
//    public static String APPID = "wwd000d294d60d85bc";
////     企业微信appID（测试环境）
//    public static String AGENTID = "1000019";

    // 企业微信appID（生产环境）
    public static String AGENTID = "1000023";
    //企业微信组织ID（生产环境）
    public static String APPID = "ww205df83c639e8710";
    //系统访问域名（生产环境）
    public static String SYSTEM_URL = "xqsphy.xqhospital.com.cn";


    /**
     * 根据字典值获取字典文本
     *
     * @param dic  字典集合
     * @param code 值
     * @return 文本
     */
    public static String getDicValueByCode(List<DictModel> dic, String code) {
        if (dic.size()<=0) {
            return "";
        }
        for (DictModel ele : dic) {
            if (ele.getValue().equals(code)) {
                return ele.getName();
            }
        }
        return "";
    }
}
